package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-09-05 15:43:43
 * 实体【[流程活动实例](WF_TASK)】的Entity类
 */
@SwTable("WF_TASK")
public class Task extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_TASK";

    public Task() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("tsk_id");
    }

    /**
     * 主键
     */
    public void setId(long tsk_id) {
        put("tsk_id", tsk_id);
    }

    /**
     * 流程实例id
     */
    public long getPriId() {
        return getLong("tsk_pri_id");
    }

    /**
     * 流程实例id
     */
    public void setPriId(long tsk_pri_id) {
        put("tsk_pri_id", tsk_pri_id);
    }

    /**
     * 流程定义id
     */
    public long getPrcId() {
        return getLong("tsk_prc_id");
    }

    /**
     * 流程定义id
     */
    public void setPrcId(long tsk_prc_id) {
        put("tsk_prc_id", tsk_prc_id);
    }

    /**
     * 活动定义id
     */
    public String getActId() {
        return getStr("tsk_act_id");
    }

    /**
     * 活动定义id
     */
    public void setActId(String tsk_act_id) {
        put("tsk_act_id", tsk_act_id);
    }

    /**
     * 活动名称
     */
    public String getActName() {
        return getStr("tsk_act_name");
    }

    /**
     * 活动名称
     */
    public void setActName(String tsk_act_name) {
        put("tsk_act_name", tsk_act_name);
    }

    /**
     * 主办人
     */
    public long getHandler() {
        return getLong("tsk_handler");
    }

    /**
     * 主办人
     */
    public void setHandler(long tsk_handler) {
        put("tsk_handler", tsk_handler);
    }

    /**
     * 开始时间
     */
    public long getStartTime() {
        return getLong("tsk_start_time");
    }

    /**
     * 开始时间
     */
    public void setStartTime(long tsk_start_time) {
        put("tsk_start_time", tsk_start_time);
    }

    /**
     * 签收时间
     */
    public long getHandlerTime() {
        return getLong("tsk_handler_time");
    }

    /**
     * 签收时间
     */
    public void setHandlerTime(long tsk_handler_time) {
        put("tsk_handler_time", tsk_handler_time);
    }

    /**
     * 结束时间
     */
    public long getEndTime() {
        return getLong("tsk_end_time");
    }

    /**
     * 结束时间
     */
    public void setEndTime(long tsk_end_time) {
        put("tsk_end_time", tsk_end_time);
    }

    /**
     * 状态
     */
    public int getStatu() {
        return getInt("tsk_statu");
    }

    /**
     * 状态
     */
    public void setStatu(int tsk_statu) {
        put("tsk_statu", tsk_statu);
    }

    /**
     * 审批意见
     */
    public String getComment() {
        return getStr("tsk_comment");
    }

    /**
     * 审批意见
     */
    public void setComment(String tsk_comment) {
        put("tsk_comment", tsk_comment);
    }

    /**
     * 是否制单步骤
     */
    public boolean isMake() {
        return getBool("tsk_is_make");
    }

    /**
     * 是否制单步骤
     */
    public void setMake(boolean tsk_is_make) {
        setBool("tsk_is_make", tsk_is_make);
    }

    /**
     * 是否需要会签
     */
    public boolean isSign() {
        return getBool("tsk_is_sign");
    }

    /**
     * 是否需要会签
     */
    public void setSign(boolean tsk_is_sign) {
        setBool("tsk_is_sign", tsk_is_sign);
    }

    /**
     * 会签人数
     */
    public int getSignTotal() {
        return getInt("tsk_sign_total");
    }

    /**
     * 会签人数
     */
    public void setSignTotal(int tsk_sign_total) {
        put("tsk_sign_total", tsk_sign_total);
    }

    /**
     * 设置会签过关人数
     */
    public int getSignPass() {
        return getInt("tsk_sign_pass");
    }

    /**
     * 设置会签过关人数
     */
    public void setSignPass(int tsk_sign_pass) {
        put("tsk_sign_pass", tsk_sign_pass);
    }

    /**
     * 会签同意人数
     */
    public int getSignAgree() {
        return getInt("tsk_sign_agree");
    }

    /**
     * 会签同意人数
     */
    public void setSignAgree(int tsk_sign_agree) {
        put("tsk_sign_agree", tsk_sign_agree);
    }

    /**
     * 是否被驳回
     */
    public boolean isReject() {
        return getBool("tsk_is_reject");
    }

    /**
     * 是否被驳回
     */
    public void setReject(boolean tsk_is_reject) {
        setBool("tsk_is_reject", tsk_is_reject);
    }

    /**
     * 是否取回
     */
    public boolean isRetake() {
        return getBool("tsk_is_retake");
    }

    /**
     * 是否取回
     */
    public void setRetake(boolean tsk_is_retake) {
        setBool("tsk_is_retake", tsk_is_retake);
    }

    /**
     * 是否自动任务
     */
    public boolean isAuto() {
        return getBool("tsk_is_auto");
    }

    /**
     * 是否自动任务
     */
    public void setAuto(boolean tsk_is_auto) {
        setBool("tsk_is_auto", tsk_is_auto);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("tsk_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String tsk_remark) {
        put("tsk_remark", tsk_remark);
    }
}
